Uses of Interface
org.actioncontroller.ApiHttpExchange
-
Packages that use ApiHttpExchange Package Description org.actioncontroller Action Controller is a framework that takes "controller" classes and generatesApiControllerActionfor each method annotated with a "routing mapper annotation" such asGET.org.actioncontroller.exceptions org.actioncontroller.httpserver org.actioncontroller.jakarta org.actioncontroller.meta The meta-package contains annotations used on other annotations to attach behavior to the annotations.org.actioncontroller.optional.json org.actioncontroller.servlet org.actioncontroller.socket org.actioncontroller.values org.actioncontroller.values.json -
-
Uses of ApiHttpExchange in org.actioncontroller
Methods in org.actioncontroller with parameters of type ApiHttpExchange Modifier and Type Method Description protected voidApiControllerMethodAction. calculatePathParams(ApiHttpExchange exchange)ApiControllerActionApiControllerActionRouter. findAction(ApiHttpExchange exchange)voidApiControllerAction. invoke(UserContext userContext, ApiHttpExchange exchange)Invokes this action on the givenApiHttpExchangeby converting the exchange to method invocation arguments, invoking the method and converting the return value.voidApiControllerMethodAction. invoke(UserContext userContext, ApiHttpExchange exchange)voidApiControllerActionRouter. invokeAction(ApiHttpExchange httpExchange, UserContext userContext)booleanApiControllerAction. matchesRequiredParameters(ApiHttpExchange exchange)Returns true if the exchange has all the required query parameters specified in this action, or if there are no required query parameters in the actionbooleanApiControllerMethodAction. matchesRequiredParameters(ApiHttpExchange exchange)protected voidApiControllerMethodAction. verifyUserAccess(ApiHttpExchange exchange, UserContext userContext) -
Uses of ApiHttpExchange in org.actioncontroller.exceptions
Methods in org.actioncontroller.exceptions with parameters of type ApiHttpExchange Modifier and Type Method Description voidHttpActionException. sendError(ApiHttpExchange exchange)voidHttpNotModifiedException. sendError(ApiHttpExchange exchange)voidHttpRedirectException. sendError(ApiHttpExchange exchange)voidHttpServerErrorException. sendError(ApiHttpExchange exchange)Constructors in org.actioncontroller.exceptions with parameters of type ApiHttpExchange Constructor Description HttpRedirectException(ApiHttpExchange exchange, String pathInfo) -
Uses of ApiHttpExchange in org.actioncontroller.httpserver
Classes in org.actioncontroller.httpserver that implement ApiHttpExchange Modifier and Type Class Description classJdkHttpExchangeMethods in org.actioncontroller.httpserver with parameters of type ApiHttpExchange Modifier and Type Method Description abstract voidActionAuthenticator. login(ApiHttpExchange exchange) -
Uses of ApiHttpExchange in org.actioncontroller.jakarta
Classes in org.actioncontroller.jakarta that implement ApiHttpExchange Modifier and Type Class Description classJakartaServletHttpExchange -
Uses of ApiHttpExchange in org.actioncontroller.meta
Methods in org.actioncontroller.meta with parameters of type ApiHttpExchange Modifier and Type Method Description voidHttpReturnMapper. accept(Object result, ApiHttpExchange exchange)ObjectHttpParameterMapper. apply(ApiHttpExchange exchange)default voidHttpParameterMapper. onComplete(ApiHttpExchange exchange, Object argument)Invoked after the action method was completed successfully -
Uses of ApiHttpExchange in org.actioncontroller.optional.json
Methods in org.actioncontroller.optional.json with parameters of type ApiHttpExchange Modifier and Type Method Description protected static Optional<Object>Json.MapperFactory. readPojo(PojoMapper pojoMapper, ApiHttpExchange exchange, Type targetType) -
Uses of ApiHttpExchange in org.actioncontroller.servlet
Classes in org.actioncontroller.servlet that implement ApiHttpExchange Modifier and Type Class Description classServletHttpExchange -
Uses of ApiHttpExchange in org.actioncontroller.socket
Classes in org.actioncontroller.socket that implement ApiHttpExchange Modifier and Type Class Description classSocketHttpExchange -
Uses of ApiHttpExchange in org.actioncontroller.values
Methods in org.actioncontroller.values with parameters of type ApiHttpExchange Modifier and Type Method Description ObjectSessionParameter.AutoCreateSession. apply(ApiHttpExchange exchange)ObjectSessionParameter.CreateSession. apply(ApiHttpExchange exchange)ObjectSessionParameter.SessionParameterMapper. apply(ApiHttpExchange exchange)ObjectUnencryptedCookie.AtomicReferenceMapper. apply(ApiHttpExchange exchange)ObjectUnencryptedCookie.ConsumerMapper. apply(ApiHttpExchange exchange)ObjectUnencryptedCookie.Mapper. apply(ApiHttpExchange exchange)ObjectUnencryptedCookiePreview.AtomicReferenceMapper. apply(ApiHttpExchange exchange)ObjectUnencryptedCookiePreview.ConsumerMapper. apply(ApiHttpExchange exchange)ObjectUnencryptedCookiePreview.Mapper. apply(ApiHttpExchange exchange)Optional<X509Certificate>ClientCertificate.MapperFactory. getClientCertificate(ApiHttpExchange exchange)voidUnencryptedCookie.AtomicReferenceMapper. onComplete(ApiHttpExchange exchange, Object argument)voidUnencryptedCookiePreview.AtomicReferenceMapper. onComplete(ApiHttpExchange exchange, Object argument)protected voidUnencryptedCookie.ConsumerMapper. setResponseCookie(ApiHttpExchange exchange, Object o)protected voidUnencryptedCookiePreview.ConsumerMapper. setResponseCookie(ApiHttpExchange exchange, Object o) -
Uses of ApiHttpExchange in org.actioncontroller.values.json
Methods in org.actioncontroller.values.json with parameters of type ApiHttpExchange Modifier and Type Method Description ObjectUnencryptedJsonCookie.MapperFactory.Mapper. apply(ApiHttpExchange exchange)protected ObjectUnencryptedJsonCookie.MapperFactory.Mapper. getCookie(ApiHttpExchange exchange, String name, Type type)voidUnencryptedJsonCookie.MapperFactory.Mapper. onComplete(ApiHttpExchange exchange, Object argument)protected static Optional<Object>JsonBody.MapperFactory. readPojo(org.jsonbuddy.pojo.PojoMapper pojoMapper, ApiHttpExchange exchange, Type targetType)voidJsonHttpActionException. sendError(ApiHttpExchange exchange)
-